<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .circle {
            background-color: cadetblue;
            border-radius: 50%;
            margin: 5px;
        }

        .circle-container {
            display: grid;
            grid-template-columns: repeat(10, 1fr);
            grid-template-rows: repeat(10, 1fr);

        }
    </style>
</head>

<body>
    <button class='btn create-input'>Draw a circle</button>


    <script>
        const btn = document.querySelector('.btn.create-input')
        btn.addEventListener('click', function () {
            this.insertAdjacentHTML('afterend', `<input type="text" placeholder="enter diameter" class='diameter-input'>
                                                 <button class='btn draw'>Draw</button>`)
            const btnDraw = document.querySelector('.btn.draw')
            btnDraw.addEventListener('click', function () {
                const diameterValue = document.querySelector('.diameter-input').value
                const circleArr = []
                circleArr.length = 100
                circleArr.fill('<div class="circle"></div>')
                this.insertAdjacentHTML('afterend', `<div class='circle-container'>${circleArr.join('')}</div>`)
                const circle = document.querySelectorAll('.circle')
                circle.forEach(elem => {
                    elem.style.width = diameterValue + 'px'
                    elem.style.height = diameterValue + 'px'
                })
            })
        })

        document.addEventListener('click', function ({ target }) {
            const circle = document.querySelectorAll('.circle')
            circle.forEach(item => {
                if (target === item) {
                    item.style.display = 'none'
                }
            })
        })

    </script>
</body>

</html>